<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:13 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>VisualStudioExtension (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="VisualStudioExtension (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/ide/visualstudio/TextProvider.html" title="interface in org.gradle.ide.visualstudio"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/ide/visualstudio/VisualStudioProject.html" title="interface in org.gradle.ide.visualstudio"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/ide/visualstudio/VisualStudioExtension.html" target="_top">Frames</a></li>
<li><a href="VisualStudioExtension.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.ide.visualstudio</div>
<h2 title="Interface VisualStudioExtension" class="title">Interface VisualStudioExtension</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre><a href="../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public interface <span class="strong">VisualStudioExtension</span></pre>
<div class="block">The configuration for mapping a set of <a href="../../../../org/gradle/nativeplatform/NativeComponentSpec.html" title="interface in org.gradle.nativeplatform"><code>NativeComponentSpec</code></a>s to a Visual Studio project.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/NamedDomainObjectSet.html" title="interface in org.gradle.api">NamedDomainObjectSet</a>&lt;? extends <a href="../../../../org/gradle/ide/visualstudio/VisualStudioProject.html" title="interface in org.gradle.ide.visualstudio">VisualStudioProject</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/ide/visualstudio/VisualStudioExtension.html#getProjects()">getProjects</a></strong>()</code>
<div class="block">The <a href="../../../../org/gradle/ide/visualstudio/VisualStudioProject.html" title="interface in org.gradle.ide.visualstudio"><code>VisualStudioProject</code></a>s generated.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/NamedDomainObjectSet.html" title="interface in org.gradle.api">NamedDomainObjectSet</a>&lt;? extends <a href="../../../../org/gradle/ide/visualstudio/VisualStudioSolution.html" title="interface in org.gradle.ide.visualstudio">VisualStudioSolution</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/ide/visualstudio/VisualStudioExtension.html#getSolutions()">getSolutions</a></strong>()</code>
<div class="block">The <a href="../../../../org/gradle/ide/visualstudio/VisualStudioSolution.html" title="interface in org.gradle.ide.visualstudio"><code>VisualStudioSolution</code></a>s generated.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getProjects()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getProjects</h4>
<pre><a href="../../../../org/gradle/api/NamedDomainObjectSet.html" title="interface in org.gradle.api">NamedDomainObjectSet</a>&lt;? extends <a href="../../../../org/gradle/ide/visualstudio/VisualStudioProject.html" title="interface in org.gradle.ide.visualstudio">VisualStudioProject</a>&gt;&nbsp;getProjects()</pre>
<div class="block">The <a href="../../../../org/gradle/ide/visualstudio/VisualStudioProject.html" title="interface in org.gradle.ide.visualstudio"><code>VisualStudioProject</code></a>s generated.</div>
</li>
</ul>
<a name="getSolutions()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getSolutions</h4>
<pre><a href="../../../../org/gradle/api/NamedDomainObjectSet.html" title="interface in org.gradle.api">NamedDomainObjectSet</a>&lt;? extends <a href="../../../../org/gradle/ide/visualstudio/VisualStudioSolution.html" title="interface in org.gradle.ide.visualstudio">VisualStudioSolution</a>&gt;&nbsp;getSolutions()</pre>
<div class="block">The <a href="../../../../org/gradle/ide/visualstudio/VisualStudioSolution.html" title="interface in org.gradle.ide.visualstudio"><code>VisualStudioSolution</code></a>s generated.</div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/ide/visualstudio/TextProvider.html" title="interface in org.gradle.ide.visualstudio"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/ide/visualstudio/VisualStudioProject.html" title="interface in org.gradle.ide.visualstudio"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/ide/visualstudio/VisualStudioExtension.html" target="_top">Frames</a></li>
<li><a href="VisualStudioExtension.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
